SplFileObject::key
SplFileObject::rewind
SplFileObject
PHP Manual

# SplFileObject::next

Read next line

### Description

public void SplFileObject::next ( void )

Moves ahead to the next line in the file.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 SplFileObject::next example

`<?php
// Read through file line by line
$file = new SplFileObject("misc.txt");
while (!$file->eof()) {
echo $file->current();
$file->next();
}
?>`

### See Also

- SplFileObject::current
- SplFileObject::key
- SplFileObject::seek
- SplFileObject::rewind
- SplFileObject::valid